DUB-ADD-OVERRIDE(1)

NAME
dub-add-override - Adds a new package override.

SYNOPSIS
dub add-override <package> <version-spec> <target-path/target-version> OPTIONS...

DESCRIPTION
This command is deprecated. Use path based dependency, custom cache path, or edit `dub.selections.json` to achieve the same results.

OPTIONS

--system
    Register system-wide instead of user-wide

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2025 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1), dub-list-overrides(1), dub-remove-override(1)